Bug 214922 - gnome-mount is completely undocumented
gnome-mount is completely undocumented
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-09 18:21 EST by Tethys
Modified: 2013-03-05 22:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 19:26:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2006-11-09 18:21:51 EST
Description of problem:

I upgraded from FC4 to FC6, only to find that my USB card reader no longer
behaved in the same way. Previously, I'd insert a card into the reader, and
a subdirectory would appear in /media, which I, as a normal user, could mount.
Now... nothing. After scouring the web for a bit, I found a mention in the FC5
release notes about fstab-sync begin replaced by gnome-mount (bad decision --
headless boxen have removable media, too, but that's another bug). The problem
is, I have no idea how to use it, and it comes with no documentation whatsoever.
No man page. Nothing useful in /usr/share/doc/gnome-mount-0.5.

Running gnome-mount --help at least gives me a list of options, but that's not
really much help. The only way I've got it to work is to use:

gnome-mount -t --hal-udi '/org/freedesktop/Hal/devices/volume_uuid_0403_0201'

Not exactly user friendly. Now I know that there is probably some whizzy GNOME
package to do this for me, but I'm not using GNOME (or KDE, for that matter --
the box is headless, and hence doesn't run X). What I want is information on
how to use gnome-mount.

Version-Release number of selected component (if applicable):
gnome-mount-0.5-2.fc6
Comment 1 Tim Mayberry 2006-11-09 23:41:50 EST
I'm not that familiar with gnome-mount but I had to use it recently on this FC6
machine and $man gnome-mount does display a somewhat informative page.

rpm -q --filesbypkg gnome-mount shows the man page is installed on my FC6
machine at:

/usr/share/man/man1/gnome-mount.1.gz

I'm not sure why man isn't finding it for you, perhaps something went wrong
during the upgrade between FC4 and FC6.

I think it would be preferable if $gnome-mount when called with no arguments
displayed the usage message(--help) rather than the version information but that
is a separate issue and perhaps there is a reason for it being that way.

Comment 2 Tethys 2006-11-11 19:26:00 EST
Wow. I'm 100% positive that there was no man page when I tried it before
reporting this bug. However, it's there now. So either the man command had
got itself confused somehow, or I was just having a complete brainfade.
Either way, there's a man page, which is enough to close this bug.

Note You need to log in before you can comment on or make changes to this bug.